﻿using System;
using System.Web.Mvc;
using LogsPractice.Models;
using NLog;

namespace LogsPractice.Controllers
{
    public class HomeController : Controller
    {
        private static Logger logger = LogManager.GetCurrentClassLogger();

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult GetStudent(int id)
        {
            logger.Info("Преподаватель запросил студента с id == " + id);
            StudentsRepository repository = new StudentsRepository();

            Student student = repository.GetStudentById(id);

            return View(student);
        }
    }
}